API Docs
YMS API
Shuttle Task/Level 1
POST Start Task

POST Start Task

Introduction

Starts the execution of a shuttle task. This operation transitions the task from pending status to in-progress, recording the actual start time. The assigned operator can use this API to indicate they have begun moving the equipment. Returns a boolean indicating whether the task was successfully started.

API Request

POST /shuttle-task/{taskId}/start

Request Parameters

NameLocationTypeRequiredDescription
taskIdpathstringYesnone
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": false
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRBoolean